import QtQml 2.15
import QtQuick 2.15
import org.ukui.quick.platform 1.0
DtThemeDefinition {
    id: dtTheme

    property color alternateBaseActive: kGray2
    property color alternateBaseDisable: kGray2
    property color alternateBaseInactive: kGray2
    property color baseActive: Qt.rgba(30/255, 30/255, 30/255, 1)
    property color baseDisable: Qt.rgba(60/255, 60/255, 60/255, 1)
    property color baseInactive: Qt.rgba(34/255, 34/255, 34/255, 1)
    property color brightTextActive: kFontStrong
    property color brightTextDisable: kFontStrong
    property color brightTextInactive: kFontStrong
    property color buttonActive: kGray6
    property color buttonDisable: kGray4
    property color buttonInactive: kGray6
    property color buttonTextActive: kFontPrimary
    property color buttonTextDisable: kFontPrimaryDisable
    property color buttonTextInactive: kFontPrimary
    property color darkActive: kBlack
    property color darkDisable: kGray1
    property color darkInactive: kBlack
    property int focusLine: 2
    property color highlightActive: kBrandNormal
    property color highlightDisable: kGray4
    property color highlightedTextActive: kFontWhite
    property color highlightedTextDisable: kFontPrimaryDisable
    property color highlightedTextInactive: kFontWhite
    property color highlightInactive: kBrandNormal
    property color kBlack: Qt.rgba(0/255, 0/255, 0/255, 1)
    property color kBrand1: Qt.rgba(55/255, 144/255, 250/255, 1)
    property color kBrand2: Qt.rgba(137/255, 38/255, 235/255, 1)
    property color kBrand3: Qt.rgba(228/255, 74/255, 232/255, 1)
    property color kBrand4: Qt.rgba(242/255, 181/255, 39/255, 1)
    property color kBrand5: Qt.rgba(20/255, 166/255, 33/255, 1)
    property color kBrand6: Qt.rgba(240/255, 73/255, 67/255, 1)
    property color kBrand7: Qt.rgba(250/255, 125/255, 15/255, 1)
    property color kBrand8: Qt.rgba(54/255, 118/255, 245/255, 1)
    property color kBrand9: Qt.rgba(6/255, 192/255, 199/255, 1)
    property var kBrandClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color kBrandDisable: buttonDisable
    property color kBrandFocus: kFontStrong
    property var kBrandHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.05)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.05)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color kBrandNormal: Qt.rgba(55/255, 144/255, 250/255, 1)
    property color kComponentAlphaClick: kGrayAlpha6
    property color kComponentAlphaDisable: kGrayAlpha2
    property color kComponentAlphaHover: kGrayAlpha4
    property color kComponentAlphaNormal: kGrayAlpha3
    property color kComponentClick: kGray10
    property color kComponentDisable: kGray4
    property color kComponentHover: kGray7
    property color kComponentNormal: kGray6
    property color kContainAlphaClick: kGrayAlpha2
    property color kContainAlphaHover: kGrayAlpha1
    property color kContainClick: kGray4
    property color kContainGeneralAlphaNormal: kGrayAlpha0
    property color kContainGeneralInactive: kGray0
    property color kContainGeneralNormal: kGray0
    property color kContainHover: kGray3
    property color kContainSecondaryAlphaNormal: kGrayAlpha12
    property color kContainSecondaryInactive: kGray2
    property color kContainSecondaryNormal: kGray2
    property color kDivider: kGrayAlpha3
    property var kErrorClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(245/255, 63/255, 63/255, 1)
    }
    property color kErrorDisable: buttonDisable
    property var kErrorHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.05)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.05)
        gradientBackground : Qt.rgba(245/255, 63/255, 63/255, 1)
    }
    property color kErrorNormal: KRed1
    property color kFontPrimaryDisable: Qt.rgba(255/255, 255/255, 255/255, 0.3)
    property color kFontPrimary: Qt.rgba(255/255, 255/255, 255/255, 0.9)
    property color kFontSecondaryDisable: Qt.rgba(255/255, 255/255, 255/255, 0.25)
    property color kFontSecondary: Qt.rgba(255/255, 255/255, 255/255, 0.6)
    property color kFontStrong: Qt.rgba(255/255, 255/255, 255/255, 1)
    property color kFontWhiteDisable: Qt.rgba(255/255, 255/255, 255/255, 0.3)
    property color kFontWhite: Qt.rgba(255/255, 255/255, 255/255, 0.9)
    property color kFontWhiteSecondaryDisable: Qt.rgba(255/255, 255/255, 255/255, 0.25)
    property color kFontWhiteSecondary: Qt.rgba(255/255, 255/255, 255/255, 0.65)
    property color kGray0: Qt.rgba(30/255, 30/255, 30/255, 1)
    property color kGray10: Qt.rgba(115/255, 115/255, 115/255, 1)
    property color kGray11: Qt.rgba(125/255, 125/255, 125/255, 1)
    property color kGray12: Qt.rgba(135/255, 135/255, 135/255, 1)
    property color kGray13: Qt.rgba(160/255, 160/255, 160/255, 1)
    property color kGray14: Qt.rgba(185/255, 185/255, 185/255, 1)
    property color kGray15: Qt.rgba(200/255, 200/255, 200/255, 1)
    property color kGray16: Qt.rgba(220/255, 220/255, 220/255, 1)
    property color kGray17: Qt.rgba(240/255, 240/255, 240/255, 1)
    property color kGray1: Qt.rgba(34/255, 34/255, 34/255, 1)
    property color kGray2: Qt.rgba(46/255, 46/255, 46/255, 1)
    property color kGray3: Qt.rgba(54/255, 54/255, 54/255, 1)
    property color kGray4: Qt.rgba(60/255, 60/255, 60/255, 1)
    property color kGray5: Qt.rgba(68/255, 68/255, 68/255, 1)
    property color kGray6: Qt.rgba(74/255, 74/255, 74/255, 1)
    property color kGray7: Qt.rgba(84/255, 84/255, 84/255, 1)
    property color kGray8: Qt.rgba(95/255, 95/255, 95/255, 1)
    property color kGray9: Qt.rgba(105/255, 105/255, 105/255, 1)
    property color kGrayAlpha0: Qt.rgba(255/255, 255/255, 255/255, 0)
    property color kGrayAlpha10: Qt.rgba(255/255, 255/255, 255/255, 0.35)
    property color kGrayAlpha11: Qt.rgba(255/255, 255/255, 255/255, 0.55)
    property color kGrayAlpha12: Qt.rgba(255/255, 255/255, 255/255, 0.03)
    property color kGrayAlpha13: Qt.rgba(255/255, 255/255, 255/255, 0.4)
    property color kGrayAlpha1: Qt.rgba(255/255, 255/255, 255/255, 0.05)
    property color kGrayAlpha2: Qt.rgba(255/255, 255/255, 255/255, 0.08)
    property color kGrayAlpha3: Qt.rgba(255/255, 255/255, 255/255, 0.1)
    property color kGrayAlpha4: Qt.rgba(255/255, 255/255, 255/255, 0.15)
    property color kGrayAlpha5: Qt.rgba(255/255, 255/255, 255/255, 0.18)
    property color kGrayAlpha6: Qt.rgba(255/255, 255/255, 255/255, 0.2)
    property color kGrayAlpha7: Qt.rgba(255/255, 255/255, 255/255, 0.25)
    property color kGrayAlpha8: Qt.rgba(255/255, 255/255, 255/255, 0.28)
    property color kGrayAlpha9: Qt.rgba(255/255, 255/255, 255/255, 0.3)
    property color kGreen1: Qt.rgba(20/255, 166/255, 33/255, 1)
    property color kLineBrandClick: Qt.rgba(55/255, 144/255, 250/255, 0)
    property color kLineBrandDisable: Qt.rgba(55/255, 144/255, 250/255, 0)
    property color kLineBrandHover: Qt.rgba(55/255, 144/255, 250/255, 0)
    property color kLineBrandNormal: Qt.rgba(55/255, 144/255, 250/255, 0)
    property color kLineComponentClick: Qt.rgba(255/255, 255/255, 255/255, 0)
    property color kLineComponentDisable: Qt.rgba(255/255, 255/255, 255/255, 0)
    property color kLineComponentHover: Qt.rgba(255/255, 255/255, 255/255, 0)
    property color kLineComponentNormal: kGrayAlpha0
    property color kLineDisable: kGrayAlpha1
    property color kLineInputClick: kGrayAlpha0
    property color kLineInputDisable: kGrayAlpha0
    property color kLineInputHover: kGrayAlpha0
    property color kLineInputNormal: kGrayAlpha0
    property color kLineMenu: kGrayAlpha3
    property color kLineNormal: kGrayAlpha4
    property color kLineSelectboxClick: kGrayAlpha0
    property color kLineSelectboxDisable: kGrayAlpha0
    property color kLineSelectboxHover: kGrayAlpha0
    property color kLineSelectboxNormal: kGrayAlpha0
    property color kLineSelectboxSelected: kGrayAlpha0
    property color kLineWindowActive: kGrayAlpha3
    property color kLineWindowInactive: kGrayAlpha3
    property color kmenu: kGray2
    property color kModalMask: Qt.rgba(0/255, 0/255, 0/255, 0.2)
    property color kOrange1: Qt.rgba(250/255, 125/255, 15/255, 1)
    property int kRadiusMenu: 8
    property int kRadiusMin: 4
    property int kRadiusNormal: 6
    property int kRadiusWindow: 12
    property color kRed1: Qt.rgba(240/255, 73/255, 67/255, 1)
    property color kshadowMenu: 0px 4px 20px 0px Qt.rgba(0/255, 0/255, 0/255, 0.2)
    property color kshadowMin: 0px 0px 2px 0px Qt.rgba(0/255, 0/255, 0/255, 0.2)
    property color kshadowPrimaryActive: 0px 30px 100px 0px Qt.rgba(0/255, 0/255, 0/255, 0.4)
    property color kshadowPrimaryInactive: 0px 30px 100px 0px Qt.rgba(0/255, 0/255, 0/255, 0.25)
    property color kshadowSecondaryActive: 0px 10px 40px 0px Qt.rgba(0/255, 0/255, 0/255, 0.25)
    property color kshadowSecondaryInactive: 0px 10px 40px 0px Qt.rgba(0/255, 0/255, 0/255, 0.15)
    property var kSuccessClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(0/255, 180/255, 42/255, 1)
    }
    property color kSuccessDisable: buttonDisable
    property var kSuccessHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.05)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.05)
        gradientBackground : Qt.rgba(0/255, 180/255, 42/255, 1)
    }
    property color kSuccessNormal: KGreen1
    property var kWarningClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(255/255, 125/255, 0/255, 1)
    }
    property color kWarningDisable: buttonDisable
    property var kWarningHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.05)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.05)
        gradientBackground : Qt.rgba(255/255, 125/255, 0/255, 1)
    }
    property color kWarningNormal: KOrange1
    property color kWhite: Qt.rgba(255/255, 255/255, 255/255, 1)
    property color lightActive: kWhite
    property color lightDisable: kGray16
    property color lightInactive: kWhite
    property color linkActive: kBrandNormal
    property color linkDisable: kFontPrimaryDisable
    property color linkInactive: kBrandNormal
    property var linkVisitedActive : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color linkvisitedDisable: kFontPrimaryDisable
    property var linkVisitedInactive : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(55/255, 144/255, 250/255, 1)
    }
    property color midActive: kGray3
    property color midDisable: kGray5
    property color midInactive: kGray3
    property color midLightActive: kGray7
    property color midLightDisable: kGray6
    property color midLightInactive: kGray7
    property int normalLine: 1
    property color noRoleActive: kGray1
    property color noRoleDisable: kGray5
    property color noRoleInactive: kGray1
    property color placeholderTextActive: Qt.rgba(255/255, 255/255, 255/255, 0.5)
    property color placeholderTextDisable: Qt.rgba(255/255, 255/255, 255/255, 0.5)
    property color placeholderTextInactive: Qt.rgba(255/255, 255/255, 255/255, 0.5)
    property color shadowActive: Qt.rgba(255/255, 255/255, 255/255, 0.4)
    property color shadowDisable: Qt.rgba(255/255, 255/255, 255/255, 0.25)
    property color shadowInactive: Qt.rgba(255/255, 255/255, 255/255, 0.25)
    property color textActive: kFontPrimary
    property color textDisable: kFontPrimaryDisable
    property color textInactive: kFontPrimary
    property int textMin: 400 12px "Noto Sans CJK SC";
    property int textNormal: 400 14px "Noto Sans CJK SC";
    property int titleLarge: 400 24px "Noto Sans CJK SC";
    property int titleMedium: 400 18px "Noto Sans CJK SC";
    property int titleSmall: 400 16px "Noto Sans CJK SC";
    property color toolTipBaseActive: kGray0
    property color toolTipBaseDisable: kGray0
    property color toolTipBaseInactive: kGray0
    property color toolTipTextActive: kFontPrimary
    property color toolTipTextDisable: kFontPrimary
    property color toolTipTextInactive: kFontPrimary
    property color windowActive: kGray2
    property color windowDisable: kGray3
    property color windowInactive: kGray2
    property color windowTextActive: kFontPrimary
    property color windowTextDisable: kFontPrimaryDisable
    property color windowTextInactive: kFontSecondaryDisable
}
}
